<?php require_once('../free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("login.php");} 
		
		if(empty($_GET['id'])) redirect_to('index.php');
		$id = trim(strip_tags($_GET['id']));
		$message = $session->message;

		if($_SERVER['REQUEST_METHOD'] == "POST")
		{
			$feature = Feature::find_by_id($id);
			$page = Page::find_by_id($feature->page_id);
		
			$name			= trim($_POST['name']);
			$position		= trim($_POST['position']);
			$origposition	= trim($_POST['origposition']);
			$intro			= trim($_POST['intro']);
			
			$pagename 		= trim($_POST['pagename']);
			$origpagename 	= trim($_POST['origpagename']);
			$content 		= trim($_POST['content']);
			$keywords		= trim($_POST['keywords']);
			$description 	= trim($_POST['description']);
			$title	 		= trim($_POST['title']);
			$status	 		= trim($_POST['status']);
			
			$page->name				= $name;
			$page->pagename			= $pagename;
			$page->orig_pagename	= $origpagename;
			$page->content			= $content;
			$page->keywords			= $keywords;
			$page->description		= $description;
			$page->title			= $title;
			$page->window_status	= $status;
			
			if($page->update())
			{
				$feature->feature		= $name;
				$feature->position		= $position;
				$feature->intro			= $intro;
				$feature->orig_position	= $origposition;
				if($feature->update())
				{
					$message ='<p class="green">Feature page has been updated.</p>';
				} else
				{
					$message = '<p class="red">An error has occurred while saving the feature details. Please try again.</p>';
				}
			} else
			{
				$message = '<p class="red">An error has occurred. Please try again.</p>';
			}
		} 
		$feature = Feature::find_by_id($id);
		$page = Page::find_by_id($feature->page_id);
		
		if(!isset($name)) 			$name			= $feature->feature;
		if(!isset($position)) 		$position		= $feature->position;
		if(!isset($intro))	 		$intro			= $feature->intro;
		
		if(!isset($pagename)) 		$pagename 		= $page->pagename;
		if(!isset($content)) 		$content 		= $page->content;
		if(!isset($keywords))		$keywords		= $page->keywords;
		if(!isset($description))	$description	= $page->description;
		if(!isset($title))			$title			= $page->title;
		if(!isset($status))			$status			= $page->window_status;
?>
<?php include_layout('fax-south-africa-html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
		<script type="text/javascript" src="/admin/ckeditor/ckeditor.js"></script>
<?php include_layout('fax-south-africa-header-admin.php'); ?>
			
				<div class="space">&nbsp;</div>
				<div id="main">
					
					<?php include_layout('fax-south-africa-admin-menu.php'); ?>
					
					<div id="content">
						<div class="head">
							<h1>EDIT FEATURE: <?php echo strtoupper($feature->feature); ?></h1>
						</div>
						
						<div id="admin">
							<p><a href="delete-feature.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this feature?');">+ DELETE</a></p>
							
							<?php if($message != '') echo $message; ?>
							
							<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post">
							
								<div class="row">
									<div class="label">Position:</div>
									<select name="position">
										<?php 
											$features = Feature::find_all();
											$count = count($features);
											for($i = 1; $i <= $count; $i++)
											{
												echo '<option value="'.$i;
												if($i == $feature->position) echo '" selected="selected';
												echo '">'.$i.'</option>';
											}
										?>
									</select>
									<input type="hidden" name="origposition" value="<?php echo $feature->position; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Feature Name:</div>
									<input type="text" name="name" value="<?php echo $name; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Page Name:</div>
									<input type="text" name="pagename" value="<?php echo $pagename; ?>" />
									<input type="hidden" name="origpagename" value="<?php echo $page->pagename; ?>" />
								</div>
								
								<div class="row">
									<?php $template = Template::find_by_id(2); ?>
									Intro (Service Name keyword - <?php echo $template->keyword; ?>):<br/>
									<textarea name="intro" cols="108" rows="5" ><?php echo $intro; ?></textarea>
								</div>
								
								<div class="row">
									Content:<br/>
									<textarea name="content" class="ckeditor" ><?php echo $content; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Keywords:</div>
									<textarea name="keywords" rows="4" cols="50"><?php echo $keywords; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Description:</div>
									<textarea name="description" rows="4" cols="50"><?php echo $description; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Title Tags:</div>
									<input type="text" name="title" value="<?php echo $title; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Window Status:</div>
									<input type="text" name="status" value="<?php echo $status; ?>" />
								</div>
								
								<div class="row">
									<div class="label">&nbsp;</div>
									<input type="submit" name="submit" value="Update" />
									&nbsp;
									<input type="reset" value="Reset" />
								</div>
								
								
							</form>
						</div>
					</div>
				</div>
			
<?php include_layout('fax-south-africa-footer-admin.php'); ?>