<?php require_once('../free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("login.php");} 
		
		if(empty($_GET['id'])) redirect_to('index.php');
		$id = trim(strip_tags($_GET['id']));
		$template = Template::find_by_id($id);
		$page = Page::find_by_id($template->page_id);
		$message = $session->message;
		
		if($_SERVER['REQUEST_METHOD'] == "POST")
		{
			$keyword			= trim($_POST['keyword']);
			$origkeyword		= trim($_POST['origkeyword']);
			if($keyword != $origkeyword)
			{
				$template->keyword 	= $keyword;
				$template->update();
			}
			
			$pagename 		= trim($_POST['pagename']);
			$content 		= trim($_POST['content']);
			$keywords		= trim($_POST['keywords']);
			$description 	= trim($_POST['description']);
			$title	 		= trim($_POST['title']);
			$status	 		= trim($_POST['status']);
			
			$page->pagename			= $pagename;
			$page->content			= $content;
			$page->keywords			= $keywords;
			$page->description		= $description;
			$page->title			= $title;
			$page->window_status	= $status;
			
			if($page->update())
			{
				$message = '<p class="green">Template page has been updated.</p>';
			} else
			{
				$message = '<p class="red">An error has occurred. Please try again.</p>';
			}
		} 
		if(!isset($keyword)) 		$keyword		= $template->keyword;
		
		if(!isset($name)) 			$name 			= $page->name;
		if(!isset($pagename)) 		$pagename 		= $page->pagename;
		if(!isset($content)) 		$content 		= $page->content;
		if(!isset($keywords))		$keywords		= $page->keywords;
		if(!isset($description))	$description	= $page->description;
		if(!isset($title))			$title			= $page->title;
		if(!isset($status))			$status			= $page->window_status;
?>
<?php include_layout('fax-south-africa-html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
		<script type="text/javascript" src="/admin/ckeditor/ckeditor.js"></script>
<?php include_layout('fax-south-africa-header-admin.php'); ?>
			
				<div class="space">&nbsp;</div>
				<div id="main">
					
					<?php include_layout('fax-south-africa-admin-menu.php'); ?>
					
					<div id="content">
						<div class="head">
							<h1>EDIT TEMPLATE PAGE: <?php echo strtoupper($name); ?></h1>
						</div>
						
						<div id="admin">
							<?php if($message != '') echo $message; ?>
							
							<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post">
							
								<div class="row">
									<div class="label">Keyword to replace:</div>
									<input type="text" name="keyword" value="<?php echo $keyword; ?>" />
									<input type="hidden" name="origkeyword" value="<?php echo $keyword; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Page Name:</div>
									<input type="text" name="pagename" value="<?php echo $pagename; ?>" />
								</div>
								
								<div class="row">
									Content:<br/>
									<textarea name="content" class="ckeditor" ><?php echo $content; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Keywords:</div>
									<textarea name="keywords" rows="4" cols="50"><?php echo $keywords; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Description:</div>
									<textarea name="description" rows="4" cols="50"><?php echo $description; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Title Tags:</div>
									<input type="text" name="title" value="<?php echo $title; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Window Status:</div>
									<input type="text" name="status" value="<?php echo $status; ?>" />
								</div>
								
								<div class="row">
									<div class="label">&nbsp;</div>
									<input type="submit" name="submit" value="Update" />
									&nbsp;
									<input type="reset" value="Reset" />
								</div>
								
								
							</form>
						</div>
					</div>
				</div>
			
<?php include_layout('fax-south-africa-footer-admin.php'); ?>