<?php require_once('../free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("login.php");} 
		
		$message = $session->message;
		if($_SERVER['REQUEST_METHOD'] == "POST")
		{
			$name			= trim($_POST['name']);
			$position		= trim($_POST['position']);
			$intro			= trim($_POST['intro']);
			
			$pagename 		= trim($_POST['pagename']);
			$content 		= trim($_POST['content']);
			$keywords		= trim($_POST['keywords']);
			$description 	= trim($_POST['description']);
			$title	 		= trim($_POST['title']);
			$status	 		= trim($_POST['status']);
			
			$page = new Page();
			$page->page_only		= 0;
			$page->name				= $name;
			$page->pagename			= $pagename.'.html';
			$page->content			= $content;
			$page->keywords			= $keywords;
			$page->description		= $description;
			$page->title			= $title;
			$page->window_status	= $status;
			
			if($page->create())
			{
				$feature = new Feature();
				$feature->feature		= $name;
				$feature->intro			= $intro;
				$feature->position		= $position;
				$feature->page_id		= $page->id;
				if($feature->create())
				{
					$session->message('<p class="green">Feature page has been created.</p>');
					redirect_to('index.php');
				} else
				{
					$message = '<p class="red">An error has occurred. Please try again.</p>';
				}
			} else
			{
				$message = '<p class="red">An error has occurred. Please try again.</p>';
			}
		} 
		if(!isset($name))	 		$name			= '';
		if(!isset($position)) 		$position		= '';
		if(!isset($intro))	 		$intro			= '';
		
		if(!isset($pagename)) 		$pagename 		= '';
		if(!isset($content)) 		$content 		= '';
		if(!isset($keywords))		$keywords		= '';
		if(!isset($description))	$description	= '';
		if(!isset($title))			$title			= '';
		if(!isset($status))			$status			= '';
?>
<?php include_layout('fax-south-africa-html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
		<script type="text/javascript" src="/admin/ckeditor/ckeditor.js"></script>
<?php include_layout('fax-south-africa-header-admin.php'); ?>
			
				<div class="space">&nbsp;</div>
				<div id="main">
					
					<?php include_layout('fax-south-africa-admin-menu.php'); ?>
					
					<div id="content">
						<div class="head">
							<h1>NEW FEATURE</h1>
						</div>
						
						<div id="admin">
							<?php if($message != '') echo $message; ?>
							
							<form action="new-feature.php" method="post">
							
								<div class="row">
									<div class="label">Position:</div>
									<select name="position">
										<?php 
											$features = Feature::find_all();
											$count = count($features);
											for($i = 1; $i <= $count + 1; $i++)
											{
												echo '<option value="'.$i;
												if($i == $count + 1) echo '" selected="selected';
												echo '">'.$i.'</option>'; 
											}
										?>
									</select>
								</div>
								
								<div class="row">
									<div class="label">Feature Name:</div>
									<input type="text" name="name" value="<?php echo $name; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Page Name:</div>
									<input type="text" name="pagename" value="<?php echo $pagename; ?>" />.html
								</div>
								
								<div class="row">
									<?php $template = Template::find_by_id(2); ?>
									Intro (Service Name keyword - <?php echo $template->keyword; ?>):<br/>
									<textarea name="intro" cols="108" rows="5" ><?php echo $intro; ?></textarea>
								</div>
								
								<div class="row">
									Content:<br/>
									<textarea name="content" class="ckeditor" ><?php echo $content; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Keywords:</div>
									<textarea name="keywords" rows="4" cols="50"><?php echo $keywords; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Description:</div>
									<textarea name="description" rows="4" cols="50"><?php echo $description; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Title Tags:</div>
									<input type="text" name="title" value="<?php echo $title; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Window Status:</div>
									<input type="text" name="status" value="<?php echo $status; ?>" />
								</div>
								
								<div class="row">
									<div class="label">&nbsp;</div>
									<input type="submit" name="submit" value="Add Feature" />
									&nbsp;
									<input type="reset" value="Reset" />
								</div>
								
								
							</form>
						</div>
					</div>
				</div>
			
<?php include_layout('fax-south-africa-footer-admin.php'); ?>