<?php 
	require_once('free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); 

	$id = trim($_GET['id']);
	$page = Page::find_by_id($id);

	include_layout('fax-south-africa-html.php'); 
?>
		
		<title><?php echo $page->title; ?></title>
		<meta name="keywords" content="<?php echo $page->keywords; ?>" />
		<meta name="description" content="<?php echo $page->description; ?>" />
		<script>
			<!--
				window.status = "<?php echo $page->window_status; ?>"
			//-->
		</script>
		
		<?php 
			include_layout('fax-south-africa-header.php'); 
			include_layout('fax-south-africa-form.php'); 
			include_layout('fax-south-africa-banner.php'); 
		?>
			
			<div id="main">
			
					<?php 
						if($page->page_only == 0)
						{
							// feature
							$feature = Feature::find_by_page($id);
							include('free-fax-south-africa-layouts/fax-south-africa-features.php');
							echo '<div id="content">';
							echo '<div class="head"><h1>'.$feature->feature.'</h1></div>';
							echo '<div class="info">'.$page->content.'</div>';
						} else 
						{
							if($page->page_only == 1)
						
							{
								// Page eg t&c
								include('free-fax-south-africa-layouts/fax-south-africa-services.php'); 
								echo '<div id="content">';
								echo $page->content;
						//	} else if($page->page_only == 2)
						//	{
								// template
								
							} else if($page->page_only == 3)
							{
								// post
								$post = Post::find_by_page($id);
								include('free-fax-south-africa-layouts/fax-south-africa-posts.php');
								echo '<div id="content">';
								echo '<div class="head"><h1>'.$post->title.'</h1></div>';
								echo '<div class="info">'.$page->content.'</div>';
								
								echo '<div class="head"><h1>Other Articles</h1></div>';
								$pots = Post::find_all();
								foreach($pots as $pot)
								{
									$pospage = Page::find_by_id($pot->page_id);
								//	$length = strlen($pospage->content);
									
								//	if($length > 200)
								//	{
								//		$startlength = strpos($pospage->content, ' ', 200);
								//		$start = substr($pospage->content, 3, $startlength +1).' ... ';
								//	} else
								//	{
								//		$start = str_replace('<p>', '', str_replace('</p>', '', $pospage->content)).' ... ';
								//	}
									echo '<div class="info">';
									echo '<h2><a href="'.$pospage->pagename.'" title="'.$pot->title.'" >'.$pot->title.'</a></h2>';
								//	echo '<p>'.$start.'</p>';
									echo '<p><a class="more" href="'.$pospage->pagename.'" title="'.$pot->title.'" >read more</a></p>';
									echo '</div>';
								}
							}
					?>
					
						<div class="head">
							<h1>Features of fax to email</h1>
						</div>
						<?php 
							$features = Feature::find_all();
							foreach($features as $feat)
							{
								$featpage = Page::find_by_id($feat->page_id);
							?>
							<div class="info">
								<h2><?php echo $feat->feature; ?></h2>
								<p class="feature">
									<?php echo $feat->intro; ?>
									<a class="more" href="<?php echo $featpage->pagename; ?>">read more</a>
								</p>
							</div>
						<?php 
							}
						}
					?>
					
				</div>
				
			</div>
			
			<?php include_layout('fax-south-africa-footer.php'); ?>