<?php 
	require_once('free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); 

	$page 		= Page::find_by_id(3);

	include_layout('fax-south-africa-html.php'); 
?>
		
		<title><?php echo $page->title; ?></title>
		<meta name="keywords" content="<?php echo $page->keywords; ?>" />
		<meta name="description" content="<?php echo $page->description; ?>" />
		<script>
			<!--
				window.status = "<?php echo $page->window_status; ?>"
			//-->
		</script>
		
		<?php 
			include_layout('fax-south-africa-header.php'); 
			include_layout('fax-south-africa-form.php'); 
			include_layout('fax-south-africa-banner.php'); 
		?>
			
			<div id="main">
			
				<?php include('free-fax-south-africa-layouts/fax-south-africa-posts.php'); ?>
				
				<div id="content">
					<div class="head">
						<h1>Fax to Email Articles</h1>
					</div>
					
					<?php 
						$pots = Post::find_all();
						foreach($pots as $pot)
						{
							$pospage = Page::find_by_id($pot->page_id);
							echo '<div class="info">';
							echo '<h2><a href="'.$pospage->pagename.'" title="'.$pot->title.'" >'.$pot->title.'</a></h2>';
							echo '<p><a class="more" href="'.$pospage->pagename.'" title="'.$pot->title.'" >read more</a></p>';
							echo '</div>';
						}
					?>
				
				</div>
				
			</div>
			
			<?php include_layout('fax-south-africa-footer.php'); ?>