<?php 
	require_once('free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); 

	$page 		= Page::find_by_id(3);

	include_layout('fax-south-africa-html.php'); 
?>
		
		<title><?php echo $page->title; ?></title>
		<meta name="keywords" content="<?php echo $page->keywords; ?>" />
		<meta name="description" content="<?php echo $page->description; ?>" />
		<script>
			<!--
				window.status = "<?php echo $page->window_status; ?>"
			//-->
		</script>
		
		<?php 
			include_layout('fax-south-africa-header.php'); 
			include_layout('fax-south-africa-form.php'); 
			include_layout('fax-south-africa-banner.php'); 
		?>
			
			<div id="main">
			
				<?php include('free-fax-south-africa-layouts/fax-south-africa-services.php'); ?>
				
				<div id="content">
					<div class="head">
						<h1>List of Fax To Email Regions</h1>
					</div>
					<div class="info">
						<div class="cities">
							<ul>
								<?php 
									$cits = City::find_ab();
									foreach($cits as $cit)
									{
										echo '<li><a href="'.$cit->pagename.'" title="Get a Fax to Email number in '.$cit->city.'" >';
										if($cit->major == 1) echo '<b>'.$cit->city.'</b>';
										else echo $cit->city;
										echo '</a></li>';
									}
								?>
							</ul>
						</div>
						
						<div class="cities">
							<ul>
								<?php 
									$cits = City::find_cf();
									foreach($cits as $cit)
									{
										echo '<li><a href="'.$cit->pagename.'" title="Get a Fax to Email number in '.$cit->city.'" >';
										if($cit->major == 1) echo '<b>'.$cit->city.'</b>';
										else echo $cit->city;
										echo '</a></li>';
									}
								?>
							</ul>
						</div>
						
						<div class="cities">
							<ul>
								<?php 
									$cits = City::find_gl();
									foreach($cits as $cit)
									{
										echo '<li><a href="'.$cit->pagename.'" title="Get a Fax to Email number in '.$cit->city.'" >';
										if($cit->major == 1) echo '<b>'.$cit->city.'</b>';
										else echo $cit->city;
										echo '</a></li>';
									}
								?>
							</ul>
						</div>
						
						<div class="cities">
							<ul>
								<?php 
									$cits = City::find_ms();
									foreach($cits as $cit)
									{
										echo '<li><a href="'.$cit->pagename.'" title="Get a Fax to Email number in '.$cit->city.'" >';
										if($cit->major == 1) echo '<b>'.$cit->city.'</b>';
										else echo $cit->city;
										echo '</a></li>';
									}
								?>
							</ul>
						</div>
						
						<div class="cities">
							<ul>
								<?php 
									$cits = City::find_tz();
									foreach($cits as $cit)
									{
										echo '<li><a href="'.$cit->pagename.'" title="Get a Fax to Email number in '.$cit->city.'" >';
										if($cit->major == 1) echo '<b>'.$cit->city.'</b>';
										else echo $cit->city;
										echo '</a></li>';
									}
								?>
							</ul>
						</div>
						
					</div>
				
				</div>
				
			</div>
			
			<?php include_layout('fax-south-africa-footer.php'); ?>