<?php 
	require_once('free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); 

	$page 		= Page::find_by_id(3);

	include_layout('fax-south-africa-html.php'); 
?>
		
		<title><?php echo $page->title; ?></title>
		<meta name="keywords" content="<?php echo $page->keywords; ?>" />
		<meta name="description" content="<?php echo $page->description; ?>" />
		<script>
			<!--
				window.status = "<?php echo $page->window_status; ?>"
			//-->
		</script>
		
		<?php 
			include_layout('fax-south-africa-header.php'); 
			include_layout('fax-south-africa-form.php'); 
			include_layout('fax-south-africa-banner.php'); 
		?>
			
			<div id="main">
			
				<?php include('free-fax-south-africa-layouts/fax-south-africa-services.php'); ?>
				
				<div id="content">
					<div class="head">
						<h1>List of Professions that can benefit from the use of Fax To Email</h1>
					</div>
					<div class="info">
						<p>
							Many professions can benefit from getting a free fax to email number. 
							We provide free fax to email numbers for most professions including fax to email numbers
							for lawyers, fax to email numbers for doctors, fax numbers for personal assistants, secretaries etc.							
						</p>
						<p>
							Anyone with an internet connection and email address in your office or place of work can have their own free fax to email number
							enabling faxes to be sent directly to the person that needs to receive them. This 
							decreases the delay between the fax being sent and the fax being dealt with, improving 
							efficiency at your company.
						</p>
						<div class="professions">
							<ul>
								<?php 
									$profs = Profession::find_ad();
									foreach($profs as $prof)
									{
										echo '<li><a href="'.$prof->pagename.'" title="Get a Fax to Email number for a '.$prof->profession.'" >';
										echo $prof->profession;
										echo '</a></li>';
									}
								?>
							</ul>
						</div>
						
						<div class="professions">
							<ul>
								<?php 
									$profs = Profession::find_em();
									foreach($profs as $prof)
									{
										echo '<li><a href="'.$prof->pagename.'" title="Get a Fax to Email number for a '.$prof->profession.'" >';
										echo $prof->profession;
										echo '</a></li>';
									}
								?>
							</ul>
						</div>
						
						<div class="professions">
							<ul>
								<?php 
									$profs = Profession::find_nz();
									foreach($profs as $prof)
									{
										echo '<li><a href="'.$prof->pagename.'" title="Get a Fax to Email number for a '.$prof->profession.'" >';
										echo $prof->profession;
										echo '</a></li>';
									}
								?>
							</ul>
						</div>
												
					</div>
				
				</div>
				
			</div>
			
			<?php include_layout('fax-south-africa-footer.php'); ?>