<?php 
// Define the core paths
// Define them as absolute paths to make sure that require_once works as expected

// DIRECTORY_SEPARATOR is a PHP pre-defined constant
// (\ for Windows, / for Unix)

defined('DS') ? null : define('DS', DIRECTORY_SEPARATOR);

defined('SITE_ROOT') ? null : define('SITE_ROOT', DS.'home'.DS.'fdesign1'.DS.'public_html'.DS.'free-fax-to-email-rsa');

defined('LIB_PATH') ? null : define('LIB_PATH', SITE_ROOT.DS.'free-fax-2-email-south-africa-includes');

// load config file first
require_once(LIB_PATH.DS.'fax-email-south-africa-config.php');

// load basic functions next so that everything after can use them
require_once(LIB_PATH.DS.'fax-email-south-africa-functions.php');

// load core objects
require_once(LIB_PATH.DS.'fax-email-south-africa-session.php');
require_once(LIB_PATH.DS.'fax-email-south-africa-database.php');

// load database-related classes
require_once(LIB_PATH.DS.'email-fax-south-africa-user.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-page.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-banner.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-city.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-feature.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-post.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-service.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-template.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-layout.php');
require_once(LIB_PATH.DS.'email-fax-south-africa-profession.php');
?>