<?php 
	require_once('free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); 

	$page = Page::find_by_id(3);

	include_layout('fax-south-africa-html.php'); 
?>
		
		<title><?php echo $page->title; ?></title>
		<meta name="keywords" content="<?php echo $page->keywords; ?>" />
		<meta name="description" content="<?php echo $page->description; ?>" />
		<script>
			<!--
				window.status = "<?php echo $page->window_status; ?>"
			//-->
		</script>
		
		<?php 
			include_layout('fax-south-africa-header.php'); 
			include_layout('fax-south-africa-form.php'); 
			include_layout('fax-south-africa-banner.php'); 
		?>
			
			<div id="main">
			
				<?php include('free-fax-south-africa-layouts/fax-south-africa-services.php'); ?>
				<div id="content">
					
				
					<div class="head">
						<h1>SITEMAP</h1>
					</div>
					<div class="info">
						<h2>PAGES:</h2>
							<ul>
								<li><a href="/new.html" title="Free Fax to Email Number South Africa">Home - English</a></li>
								<li><a href="/gratis-faks-na-epos-suid-afrika.php" title="Gratis Faks na Epos nommer Suid Afrika">Afrikaans</a></li>
								<?php 
									$pgs = Page::find_all_pages();
									foreach($pgs as $pg)
									{
										echo '<li><a href="'.$pg->pagename.'" title="'.$pg->name.'">'.$pg->name.'</a></li>';
									}
								?>
							</ul>
							
							<h2>SERVICE NAMES:</h2>
							<?php 
								$sers = Service::find_all();
								echo '<ul>';
								foreach($sers as $ser)
								{
									echo '<li><a href="'.$ser->pagename.'" title="'.$ser->service.'">'.$ser->service.'</a></li>';
								}
								echo '</ul>';
							?>
							
							<h2>FEATURES:</h2>
							<?php 
								$feats = Feature::find_all();
								echo '<ul>';
								foreach($feats as $feat)
								{
									$featpg = Page::find_by_id($feat->page_id);
									echo '<li><a href="'.$featpg->pagename.'" title="'.$feat->feature.'">'.$feat->feature.'</a></li>';
								}
								echo '</ul>';
							?>
							
							<h2>CITIES & REGIONS:</h2>
							<ul>
								<li><a href="/fax-to-email-south-africa-cities.html" title="Free fax to Email All Regions in South Africa">List of Regions</a></li>
								<?php 
									$cits = City::find_all();
									foreach($cits as $cit)
									{
										echo '<li><a href="'.$cit->pagename.'" title="'.$cit->city.'">'.$cit->city.'</a></li>';
									}
								?>
							</ul>
							
							<h2>ARTICLES:</h2>
							<ul>
							<li><a href="/fax-to-email-south-africa-articles.html" title="Free Fax to Email Articles">List of Articles</a></li>
							<?php 
								$arts = Post::find_all();
								foreach($arts as $art)
								{
									$artpage = Page::find_by_id($art->page_id);
									echo '<li><a href="/'.$artpage->pagename.'" title="'.$art->title.'" >'.$artpage->name.'</a></li>';
								}
							?>
							</ul>
							
							
							
					</div>
					
				</div>
				
			</div>
			
			<?php include_layout('fax-south-africa-footer.php'); ?>