<?php require_once('../free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("login.php");} 
		
		if(empty($_GET['id'])) redirect_to('index.php');
		$id = trim(strip_tags($_GET['id']));
		$message = $session->message;
		
		if($_SERVER['REQUEST_METHOD'] == "POST")
		{
			$post = Post::find_by_id($id);
			$page = Page::find_by_id($post->page_id);
			
			$title 			= trim($_POST['title']);
			$position		= trim($_POST['position']);
			$origposition	= trim($_POST['origposition']);
			
			$name			= trim($_POST['name']);
			$pagename 		= trim($_POST['pagename']);
			$origpagename 	= trim($_POST['origpagename']);
			$content 		= trim($_POST['content']);
			$keywords		= trim($_POST['keywords']);
			$description 	= trim($_POST['description']);
			$title_tag 		= trim($_POST['title_tag']);
			$status	 		= trim($_POST['status']);
			
			$page->name				= $name;
			$page->pagename			= $pagename;
			$page->orig_pagename	= $origpagename;
			$page->content			= $content;
			$page->keywords			= $keywords;
			$page->description		= $description;
			$page->title			= $title_tag;
			$page->window_status	= $status;
			
			if($page->update())
			{			
				$post->title		= $title;
				$post->position		= $position;
				$post->orig_position= $origposition;
				
				if($post->update())
				{
					$session->message('<p class="green">Post has been updated.</p>');
					redirect_to('index.php');
				} else
				{
					$message = '<p class="red">An error has occurred. Please try again.</p>';
				}
			}else
			{
				$message = '<p class="red">An error has occurred. Please try again.</p>';
			}
		} 
		$post = Post::find_by_id($id);
		$page = Page::find_by_id($post->page_id);
		
		if(!isset($title)) 			$title			= $post->title;
		
		if(!isset($name)) 			$name			= $page->name;
		if(!isset($pagename)) 		$pagename 		= $page->pagename;
		if(!isset($content)) 		$content 		= $page->content;
		if(!isset($keywords))		$keywords		= $page->keywords;
		if(!isset($description))	$description	= $page->description;
		if(!isset($title_tag))		$title_tag		= $page->title;
		if(!isset($status))			$status			= $page->window_status;
?>
<?php include_layout('fax-south-africa-html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
		<script type="text/javascript" src="/admin/ckeditor/ckeditor.js"></script>
<?php include_layout('fax-south-africa-header-admin.php'); ?>
			
				<div class="space">&nbsp;</div>
				<div id="main">
					
					<?php include_layout('fax-south-africa-admin-menu.php'); ?>
					
					<div id="content">
						<div class="head">
							<h1>EDIT ARTICLE: <?php echo strtoupper($page->name); ?></h1>
						</div>
						
						<div id="admin">
							<p><a href="delete-post.php?id=<?php echo $id; ?>" onclick="return confirm('Are you sure you want to delete this articel?');">+ DELETE</a></p>
							
							<?php if($message != '') echo $message; ?>
							
							<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post">
								
								<div class="row">
									<div class="label">Position:</div>
									<select name="position">
										<?php 
											$posts = Post::find_all();
											$count = count($posts);
											for($i = 1; $i <= $count; $i++)
											{
												echo '<option value="'.$i;
												if($i == $post->position) echo '" selected="selected';
												echo '">'.$i.'</option>'; 
											}
										?>
									</select>
									<input type="hidden" name="origposition" value="<?php echo $post->position; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Title (Full):</div>
									<input type="text" name="title" value="<?php echo $title; ?>" size="30" />
								</div>
								
								<div class="row">
									<div class="label">Name (Left menu):</div>
									<input type="text" name="name" value="<?php echo $name; ?>" size="30" />
								</div>
								
								<div class="row">
									<div class="label">Page Name:</div>
									<input type="text" name="pagename" value="<?php echo $pagename; ?>" />
									<input type="hidden" name="origpagename" value="<?php echo $page->pagename; ?>" />
								</div>
								
								<div class="row">
									Content:<br/>
									<textarea name="content" class="ckeditor" ><?php echo $content; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Keywords:</div>
									<textarea name="keywords" rows="4" cols="50"><?php echo $keywords; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Description:</div>
									<textarea name="description" rows="4" cols="50"><?php echo $description; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Title Tags:</div>
									<input type="text" name="title_tag" value="<?php echo $title_tag; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Window Status:</div>
									<input type="text" name="status" value="<?php echo $status; ?>" />
								</div>
																
								<div class="row">
									<div class="label">&nbsp;</div>
									<input type="submit" name="submit" value="Update" />
									&nbsp;
									<input type="reset" value="Reset" />
								</div>
								
							</form>
						</div>
					</div>
				</div>
			
<?php include_layout('fax-south-africa-footer-admin.php'); ?>