<?php require_once('../free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("login.php");} 
		if(!isset($_GET['id']))
		{
			$session->message('<p class="red">No Service name id was provided.</p>');
			redirect_to('manage-services.php');
		}
		$id = trim($_GET['id']);
		$service = Service::find_by_id($id);
		$message = $session->message;
		
		if($_SERVER['REQUEST_METHOD'] == "POST")
		{
			$service->position		= trim($_POST['position']);
			$service->orig_position	= trim($_POST['origposition']);
			if($service->update())
			{
				$session->message('<p class="green">Service position has been updated.</p>');
				redirect_to('manage-services.php');
			} else
			{
				$message = '<p class="red">Service position could not be updated.</p>';
			}
		} 
?>
<?php include_layout('fax-south-africa-html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
<?php include_layout('fax-south-africa-header-admin.php'); ?>
			
				<div class="space">&nbsp;</div>
				<div id="main">
					
					<?php include_layout('fax-south-africa-admin-menu.php'); ?>
					
					<div id="content">
						<div class="head">
							<h1>MANAGE SERVICE NAME POSITION: <?php echo strtoupper($service->service); ?></h1>
						</div>
						
						<div id="admin">
							<?php if($message != '') echo $message; ?>
							
							<form action="edit-service.php?id=<?php echo $id; ?>" method="post">
							
								<div class="row">
									Position:
									<select name="position">
										<?php 
											$services = Service::find_all();
											$count = count($services);
											for($n = 1; $n <= $count; $n++)
											{
												echo '<option value="'.$n;
												if($n == $service->position) echo '" selected="selected';
												echo '">'.$n.'</option>';
											}
										?>
									</select>
									<input type="hidden" name="origposition" value="<?php echo $service->position; ?>" />
									
								</div>
												
								<div class="row">
									<div class="label">&nbsp;</div>
									<input type="submit" name="submit" value="Update" />
									&nbsp;
									<input type="reset" value="Reset" />
								</div>
								
								
							</form>
						</div>
					</div>
				</div>
			
<?php include_layout('fax-south-africa-footer-admin.php'); ?>