<?php require_once('../free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("login.php");} 
		$message = $session->message;
		if($_SERVER['REQUEST_METHOD'] == "POST")
		{
			if(isset($_POST['delete']))
			{
				$deletestring = implode(', ', $_POST['delete']);
				$delets = explode(', ', $deletestring);
				foreach($delets as $delet)
				{
					$del = Profession::find_by_id($delet);
					$del->delete();
				}
			}
			
			$profs = Profession::find_all();
			foreach($profs as $prof)
			{
				$prof = Profession::find_by_id($prof->id); 
				$prof->profession	= trim($_POST['prof'.$prof->id]);
				$prof->pagename		= trim($_POST['pagename'.$prof->id]);
				$prof->orig_pagename= trim($_POST['orig'.$prof->id]);
				$prof->update();
			}
			
			for($j = 1; $j < 4; $j++)
			{
				if($_POST['new'.$j] != '')
				{
					$page = Page::find_by_id(20);
					$template = Template::find_by_id(5);
					
					$newprof = new Profession();
					$name				= trim($_POST['new'.$j]);
					$newprof->profession= $name;
					$newprof->pagename 	= strtolower(str_replace(' ', '-', str_replace($template->keyword, $name, $page->pagename)));
					$newprof->create();
				}
			}
			
			$message = '<p class="green">Professions have been updated.</p>';
		} 
?>
<?php include_layout('fax-south-africa-html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
<?php include_layout('fax-south-africa-header-admin.php'); ?>
			
				<div class="space">&nbsp;</div>
				<div id="main">
					
					<?php include_layout('fax-south-africa-admin-menu.php'); ?>
					
					<div id="content">
						<div class="head">
							<h1>MANAGE PROFESSIONS</h1>
						</div>
						
						<div id="admin">
							<?php if($message != '') echo $message; ?>
							
							<form action="manage-professions.php" method="post">
							
								<?php 
									$professions = Profession::find_all(); 
									if(!empty($professions))
										echo '<h2>EXISTING PROFESSIONS</h2>';
									foreach($professions as $profession)
									{
								?>
										<div class="row">
											Profession:
											<input type="text" name="prof<?php echo $profession->id; ?>" size="20" value="<?php echo $profession->profession; ?>" />
											&nbsp;&nbsp;&nbsp;
											Pagename:
											<input type="text" name="pagename<?php echo $profession->id; ?>" size="20" value="<?php echo $profession->pagename; ?>" />
											<input type="hidden" name="orig<?php echo $profession->id; ?>" value="<?php echo $profession->pagename; ?>" />
											&nbsp;&nbsp;&nbsp;
											<input type="checkbox" name="delete[]" value="<?php echo $profession->id; ?>" /> Delete
										</div>
								<?php 
									}
								?>
								
								<p>&nbsp;</p>
								<h2>NEW PROFESSIONS</h2>
								
								<?php  
									for($i = 1; $i < 4; $i++)
									{
								?>
										<div class="row">
											Profession:
											<input type="text" name="new<?php echo $i; ?>" size="20" />
											&nbsp;&nbsp;&nbsp;
										</div>
								<?php 
									}
								?>
								
								<div class="row">
									<div class="label">&nbsp;</div>
									<input type="submit" name="submit" value="Update" />
									&nbsp;
									<input type="reset" value="Reset" />
								</div>
								
								
							</form>
						</div>
					</div>
				</div>
			
<?php include_layout('fax-south-africa-footer-admin.php'); ?>