<?php require_once('../free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); ?>
<?php 	if(!$session->is_logged_in()) {redirect_to("login.php");} 
		
		$message = $session->message;
		if($_SERVER['REQUEST_METHOD'] == "POST")
		{
			$title 		= trim($_POST['title']);
			$position	= trim($_POST['position']);
			
			$name			= trim($_POST['name']);
			$pagename 		= trim($_POST['pagename']);
			$content 		= trim($_POST['content']);
			$keywords		= trim($_POST['keywords']);
			$description 	= trim($_POST['description']);
			$title_tag 		= trim($_POST['title_tag']);
			$status	 		= trim($_POST['status']);
			
			$page = new Page();
			$page->page_only		= 3;
			$page->name				= $name;
			$page->pagename			= $pagename.'.html';
			$page->content			= $content;
			$page->keywords			= $keywords;
			$page->description		= $description;
			$page->title			= $title_tag;
			$page->window_status	= $status;
			
			if($page->create())
			{			
				$post = new Post();
				$post->title	= $title;
				$post->page_id	= $page->id;
				$post->position	= $position;
				
				if($post->create())
				{
					$session->message('<p class="green">Post has been created.</p>');
					redirect_to('index.php');
				} else
				{
					$message = '<p class="red">An error has occurred. Please try again.</p>';
				}
			}else
			{
				$message = '<p class="red">An error has occurred. Please try again.</p>';
			}
		} 
		if(!isset($name)) 		$name		= '';
		if(!isset($title)) 		$title		= '';
		if(!isset($pagename)) 	$pagename	= '';
		if(!isset($content)) 	$content	= '';
		if(!isset($keywords)) 	$keywords	= '';
		if(!isset($description))$description= '';
		if(!isset($title_tag)) 	$title_tag	= '';
		if(!isset($status)) 	$status		= '';
?>
<?php include_layout('fax-south-africa-html.php'); ?>
		<title>Admin</title>
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		
		<script type="text/javascript" src="/admin/ckeditor/ckeditor.js"></script>
<?php include_layout('fax-south-africa-header-admin.php'); ?>
			
				<div class="space">&nbsp;</div>
				<div id="main">
					
					<?php include_layout('fax-south-africa-admin-menu.php'); ?>
					
					<div id="content">
						<div class="head">
							<h1>NEW ARTICLE</h1>
						</div>
						
						<div id="admin">
							<?php if($message != '') echo $message; ?>
							
							<form action="new-post.php" method="post">
								
								<div class="row">
									<div class="label">Position:</div>
									<select name="position">
										<?php 
											$posts = Post::find_all();
											$count = count($posts);
											for($i = 1; $i <= $count + 1; $i++)
											{
												echo '<option value="'.$i;
												if($i == $count + 1) echo '" selected="selected';
												echo '">'.$i.'</option>'; 
											}
										?>
									</select>
								</div>
								
								<div class="row">
									<div class="label">Title (Full):</div>
									<input type="text" name="title" value="<?php echo $title; ?>" size="30" />
								</div>
								
								<div class="row">
									<div class="label">Name (Left menu):</div>
									<input type="text" name="name" value="<?php echo $name; ?>" size="30" />
								</div>
								
								<div class="row">
									<div class="label">Page Name:</div>
									<input type="text" name="pagename" value="<?php echo $pagename; ?>" />.html
								</div>
								
								<div class="row">
									Content:<br/>
									<textarea name="content" class="ckeditor" ><?php echo $content; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Keywords:</div>
									<textarea name="keywords" rows="4" cols="50"><?php echo $keywords; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Description:</div>
									<textarea name="description" rows="4" cols="50"><?php echo $description; ?></textarea>
								</div>
								
								<div class="row">
									<div class="label">Title Tags:</div>
									<input type="text" name="title_tag" value="<?php echo $title_tag; ?>" />
								</div>
								
								<div class="row">
									<div class="label">Window Status:</div>
									<input type="text" name="status" value="<?php echo $status; ?>" />
								</div>
								
								<div class="row">
									<div class="label">&nbsp;</div>
									<input type="submit" name="submit" value="Add Post" />
									&nbsp;
									<input type="reset" value="Reset" />
								</div>
								
							</form>
						</div>
					</div>
				</div>
			
<?php include_layout('fax-south-africa-footer-admin.php'); ?>