<?php require_once('../gitaarwinkel-nederland-includes/gitaren-nederland-requirements.php'); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(isset($_GET['id']))
	{
		$id = mysql_prep($_GET['id']);
	} else
	{
		$session->message('Geen produkt ID was aangegeven.');
		redirect_to('index.php');
	}
	
	$product = Product::find_by_id($id);

	if(isset($_POST['submit']))
	{
		$product->name		= $_POST['name'];
		$product->details	= $_POST['details'];
		$product->video		= $_POST['video'];
		$product->position	= mysql_prep($_POST['position']);
		$product->orig_position	= mysql_prep($_POST['orig_position']);
		
		if($product->update())
		{	//Success
			$session->message("Produkt is succesvol bijgewerkt.");
			redirect_to('edit-page.php?id='.$product->page_id);
		} else
		{	// Failure
			$message = 'Er is een fout opgetreden. Probeer het opnieuw.';
		}
	}
?>
<?php include_layout('header-admin.php'); ?>
			
			<div id="main">
				
				<?php include_layout('admin-menu.php'); ?>
				
				<div id="content">
					<h1>PRODUKT BIJWERKEN</h1>
					<a href="delete-product.php?id=<?php echo $product->id; ?>" onclick="return confirm('Ben je zeker dat je deze produkt wil verwijderen?');">+ Produkt Verwijderen</a><br/><br/>
					<?php if(isset($message) && $message != "") echo $message.'<br/><br/>'; ?>
					
					<?php 
						$images = ProductImage::find_by_product($id);
						if(!empty($images) && $images != "")
						{
							foreach($images as $image)
							{
								echo '<div class="product_image">';
								echo '<img src="/'.$image->thumb_display().'" height="120px" width="120px" /><br/>';
								echo '<a href="edit-product-image.php?id='.$image->id.'">+ Beeld Bewerken</a><br/>';
								echo '<a href="delete-product-image.php?id='.$image->id.'" onclick="return confirm(\'Ben je zeker dat je deze produkt wil verwijderen?\');">+ Beeld Verwijderen</a><br/>';
								echo '</div>';
							}
						} else
						{
							echo '<p>Beeld nog niet toegevoegd.</p>';
							echo '<a href="upload-product-images.php?id='.$product->id.'">+ Beelden Toevoegen</a>';
						}
					?>
					
					<div class="row">
						<b><a href="upload-product-image.php?id=<?php echo $product->id; ?>">+ Beeld Toevoegen</a></b><br/><br/>
					</div>
					
					<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" >
						
						<div class="row">
							<div class="label"><label>Naam:</label></div>
							<input type="text" name="name" size="30" value="<?php echo $product->name; ?>" />
						</div>
						
						<div class="row">
							<div class="label"><label>Details:</label></div><br>
							<textarea name="details" class="ckeditor" ><?php echo $product->details; ?></textarea>
						</div>
						
						<div class="row">
							<div class="label"><label>Positie:</label></div>
							<select name="position">
								<?php 
									if($product->group_id == 0)
									{
										$products = Product::find_by_page_general($product->page_id);
									} else
									{
										$products = Product::find_by_group($product->group_id); 
									}
									$count = count($products);
									for($i = 1; $i <= $count; $i++)
									{
										echo '<option value="'.$i;
										if ($i == $product->position) echo '" selected="selected';
										echo '" >'.$i.'</option>';
									}
								?>
							</select>
							<input type="hidden" name="orig_position" value="<?php echo $product->position; ?>" />
						</div>
							
						<div class="row">
							<div class="label"><label>Youtube link:</label></div>
							<input type="text" size="40" name="video" value="<?php echo $product->video; ?>" />
						</div>
						
						<div class="row">
							<div class="label"><label>&nbsp;</label></div>
							<input type="submit" name="submit" value="Indienen" />
							&nbsp;&nbsp;&nbsp;
							<input type="reset" name="reset" value="Reset" />
						</div>
					</form>
				</div>
				
				<?php include_layout('social-media-admin.php'); ?>
			</div>
			
<?php include_layout('footer-admin.php'); ?>