<?php set_time_limit(0); ?>
<?php require_once('../gitaarwinkel-nederland-includes/gitaren-nederland-requirements.php'); ?>
<?php if(!$session->is_logged_in()) {redirect_to("login.php");} ?>
<?php 
	if(isset($_GET['page']))
	{
		$page_id = mysql_prep($_GET['page']);
	} else
	{
		redirect_to('index.php');
	}
	
	$page = Page::find_by_id($page_id);

	$max_file_size = 1048576; 

	if(isset($_POST['submit']))
	{
		$pic = $_FILES['image'];
		if($pic['type'] != 'image/jpeg' && $pic['type'] != 'image/gif' && $pic['type'] != 'image/png')
		{
			$message = 'Alleen JPEG, PNG en GIF afbeeldingen kunnen toegevoegd worden. Maximaal toegestaande bestandsgrootte is 1MB.';
		} else
		{
			$image = new Image;
			$image->page_id		= $page_id;
			if($page->type == 'gallery')
			{
				$image->position	= mysql_prep($_POST['position']);
				$image->label 		= $_POST['label'];
			} else
			{
				$image->position 	= 1;
				$image->label 		= "";
			}
			
			$image->attach_file($pic);
			if($image->save())
			{	//Success
				$session->message("Beeld is succesvol toegevoegd.");
				redirect_to('edit-page.php?id='.$page_id);
			} else
			{	// Failure
				$message = join("<br />", $image->errors);
			}
		}
	}
?>
<?php include_layout('header-admin.php'); ?>
			
			<div id="main">
				
				<?php include_layout('admin-menu.php'); ?>
				
				<div id="content">
					<h1>BEELD TOEVOEGEN AAN PAGINA: <?php echo strtoupper($page->name); ?></h1>
					<?php if(isset($session->message)) echo $session->message.'<br/>'; ?>
					
					<form action="<?php echo $_SERVER['SCRIPT_NAME'].'?'.$_SERVER['QUERY_STRING']; ?>" method="post" enctype="multipart/form-data" >
						<div class="row">
							<div class="label"><label>Beeld Kiezen:</label></div>
							<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_file_size; ?>" />
							<input type="file" name="image" />
						</div>
					
					<?php if($page->type == 'gallery'): ?>
						<div class="row">
							<div class="label"><label>Label:</label></div>
							<input type="text" name="label" size="40" />
						</div>
					
						<div class="row">
							<div class="label"><label>Positie:</label></div>
							<select name="position">
								<?php 
									$imgs = Image::find_for_gallery($page_id); 
									$count = count($imgs);
									for($i=1; $i <= $count+1; $i++)
									{
										echo '<option value="'.$i;
										if($i == $count+1) echo '" selected="selected';
										echo '">'.$i.'</option>';
									}
								?>
							</select>
						</div>
					<?php endif; ?>
						
						<div class="row">
							<div class="label"><label>&nbsp;</label></div>
							<input type="submit" name="submit" value="Toevoegen" />
							&nbsp;&nbsp;&nbsp;
							<input type="reset" name="reset" value="Reset" />
						</div>
					</form>
					
					<div class="row">
					<br/>
						<h2>INLICHTING</h2>
						<br/>
						<label class="left_label">Ondersteunde bestandsformaten: </label>
						<label>JPEG, PNG, GIF</label><br/><br/>
						<label class="left_label">Max bestandsgrootte: </label>
						<label>1MB</label><br/><br/>
						<label class="left_label">Max breedte (Beeld paginas): </label>
						<label>800px</label><br/><br/>
						<label class="left_label">Max hoogte (Gallerij Beelden): </label>
						<label>450px (Formaat zal aangepast worden)</label><br/>
					</div>
					
				</div>
				
				<?php include_layout('social-media-admin.php'); ?>
			</div>
			
<?php include_layout('footer-admin.php'); ?>