<?php 
	require_once('free-fax-2-email-south-africa-includes/fax-email-south-africa-requirements.php'); 

	$id = 13;
	$service 	= Service::find_by_id($id);
	$template 	= Template::find_by_id(2);
	$page 		= Page::find_by_id(3);
	
	$keyword 	= $template->keyword;
	$name		= $service->service;

	include_layout('fax-south-africa-html.php'); 
?>
		
		<title><?php echo str_replace($keyword, $name, $page->title); ?></title>
		<meta name="keywords" content="<?php echo str_replace($keyword, $name, $page->keywords); ?>" />
		<meta name="description" content="<?php echo str_replace($keyword, $name, $page->description); ?>" />
		<script>
			<!--
				window.status = "<?php echo str_replace($keyword, $name, $page->window_status); ?>"
			//-->
		</script>
		
		<?php 
			include_layout('fax-south-africa-header.php'); 
			include_layout('fax-south-africa-form.php'); 
			include_layout('fax-south-africa-banner.php'); 
		?>
			
			<div id="main">
			
				<?php include('free-fax-south-africa-layouts/fax-south-africa-services.php'); ?>
				
				<div id="content">
					<div class="head">
						<h1><?php echo $service->service; ?></h1>
					</div>
					<div class="info">
						<?php echo str_replace($keyword, $name, $page->content); ?>
					</div>
				
					<div class="head">
						<h1>Features of fax to email</h1>
					</div>
					<?php 
						$features = Feature::find_all();
						foreach($features as $feat)
						{
							$featpage = Page::find_by_id($feat->page_id);
						?>
						<div class="info">
							<h2><?php echo str_replace($keyword, $name, $feat->feature); ?></h2>
							<p class="feature">
								<?php echo str_replace($keyword, $name, $feat->intro); ?>
									<br/><a class="more" href="<?php echo $featpage->pagename; ?>">read more</a>
							</p>
						</div>
					<?php }?>
					
				</div>
				
			</div>
			
			<?php include_layout('fax-south-africa-footer.php'); ?>